# $Id: version.tcl,v 1.1 2002/11/02 20:42:02 alexey Exp $


proc iq_version {from child} {
    jlib::wrapper:splitxml $child tag vars isempty chdata children

    global version tcl_platform
    set restags [list \
		     [jlib::wrapper:createtag name -chdata Tkabber] \
		     [jlib::wrapper:createtag version -chdata $version] \
		     [jlib::wrapper:createtag os -chdata \
			  "$tcl_platform(os) $tcl_platform(osVersion)"]]

    set res [jlib::wrapper:createtag query \
		 -vars {xmlns jabber:iq:version} \
		 -subtags $restags]
    
    return [list result $res]
}

iq::register_handler get query jabber:iq:version \
    [namespace current]::iq_version

